Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1566186 - Erratum page reports "There are no Content Views in this Environment" but there are
Summary: Erratum page reports "There are no Content Views in this Environment" but the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.4.0
Assignee: Christine Fouant
QA Contact: Lai
URL:
Whiteboard:
: 1566183 1566184 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 17:55 UTC by Christine Fouant
Modified: 2019-11-05 23:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:03:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
Errata and content view (115.87 KB, image/png)
2018-09-20 21:03 UTC, Lai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 23112 0 None None None 2018-04-11 17:55:15 UTC

Description Christine Fouant 2018-04-11 17:55:14 UTC
In the Interface, navigate to: *Content > Errata > click on any Errata ID > Repositories tab*
In the filter bar Area (under "Repositories containing <erratum_id>") it says "There are no Content Views in this Environment" and the drop down filter for Content Views is greyed out.
This is true for every erratum I looked at and irrespective of the Lifecycle Environment that is selected.
When I check under Content Views, various versions of the views containing the relevant repositories are promoted to various Lifecycle Environments.

I have seen this affect both SUSE errata and CentOS errata on different Foreman/Katello installations. (Katello versions 3.4.5 and 3.5.1.1).

Comment 1 Christine Fouant 2018-04-11 17:55:17 UTC
Created from redmine issue http://projects.theforeman.org/issues/23112

Comment 2 Christine Fouant 2018-04-11 17:55:19 UTC
Upstream bug assigned to cfouant@redhat.com

Comment 4 Brad Buckingham 2018-04-12 09:22:46 UTC
*** Bug 1566183 has been marked as a duplicate of this bug. ***

Comment 5 Brad Buckingham 2018-04-12 09:23:03 UTC
*** Bug 1566184 has been marked as a duplicate of this bug. ***

Comment 6 Satellite Program 2018-04-24 18:24:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23112 has been resolved.

Comment 8 Lai 2018-09-20 21:03:31 UTC
Created attachment 1485325 [details]
Errata and content view

Katello version is most > 3.7.0.9

-bash-4.2# rpm -qa | grep tfm-rubygem-katello
tfm-rubygem-katello-3.7.0.28-1.el7sat.noarch

Added SUSE Errata and added content view with it.  Was able to see drop down and selection of content view.  See screenshot for details.

Verified on snap_6.4.0_22.0

Comment 9 Bryan Kearney 2018-10-16 19:03:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.